<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>

    <style>
        div {
            width: 50%;
            float: left;
        }

        .gray {
            background-color: gray;
            height: 200px;
        }

        .red {
            background-color: red;
            height: 100px;
        }

        .blue {
            background-color: blue;
            height: 100px;
        }

        @media (min-width: 1024px) {
            div {
                width: 33%;
            }

            .gray {
                float: right;
                width: 34%;
                height: 100px;
            }
        }
    </style>
</head>

<body>

    <div class="gray">
    </div>
    <div class="blue">
    </div>
    <div class="red">
    </div>
</body>

</html>